%define anolis_release 1
Name:           python-cffi
%global general_version 1.15.1
Version:        %{general_version}
Release: %{anolis_release}%{dist}
Summary:        Foreign Function Interface for Python to call C code
License:        MIT
URL:            https://cffi.readthedocs.org/
Source0:        %{pypi_source cffi}

BuildRequires: make
BuildRequires:  libffi-devel
BuildRequires:  gcc

# For tests:
BuildRequires:  gcc-c++

%?python_enable_dependency_generator

%description
Foreign Function Interface for Python, providing a convenient and
reliable way of calling existing C code from Python. The interface is
based on LuaJIT’s FFI.

%package -n python3-cffi
Summary:        Foreign Function Interface for Python 3 to call C code
BuildRequires:  python3-sphinx
BuildRequires:  python3-pytest
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pycparser
%{?python_provide:%python_provide python3-cffi}

%description -n python3-cffi
Foreign Function Interface for Python, providing a convenient and
reliable way of calling existing C code from Python. The interface is
based on LuaJIT’s FFI.

%package doc
Summary:        Documentation for CFFI
BuildArch:      noarch

%description doc
Documentation for CFFI, the Foreign Function Interface for Python.

%prep
%autosetup -p1 -n cffi-%{general_version}

%build
%py3_build

cd doc
make SPHINXBUILD=sphinx-build-3 html
rm build/html/.buildinfo

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m pytest c/ testing/

%files -n python3-cffi
%license LICENSE
%{python3_sitearch}/cffi/
%{python3_sitearch}/_cffi_backend.*.so
%{python3_sitearch}/cffi-%{general_version}%{?prerel}-py%{python3_version}.egg-info/

%files doc
%doc doc/build/html

%changelog 
* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.15.1-1
- update to 1.15.1

* Mon Apr 18 2022 Zhongling He <zhonglingh@linux.alibaba.com> 1.15.0-1
- Init package from upstream v1.15.0
